conf/layer.conf: Update LAYERSERIES_COMPAT to warrior